#ifndef STREAMINGVERSIONDATA_H
#define STREAMINGVERSIONDATA_H

#include <QTime>
#include <QString>

class StreamingVersionData
{
public:
    StreamingVersionData(QString absoltePath,QString viewName,QDateTime data,qint32 size)
    {
        this->absolutePath = absoltePath;
        this->viewName = viewName;
        this->createData = data;
        this->size = size;
        this->isChangeable = false;
    }
    StreamingVersionData(){};

    ~StreamingVersionData();

    void fill(StreamingVersionData* data)
    {
        this->absolutePath = data->getAbsolutPath();
        this->viewName = data->getViewName();
        this->createData = data->getCreateData();
        this->size = data->getSize();
        this->isChangeable = data->getIsChangeable();
        this->author = data->getAuthor();
    }
    QString getAbsolutPath() const
    {
    return absolutePath;
    }

    QString getViewName() const
    {
    return viewName;
    }

    QDateTime getCreateData() const
    {
    return createData;
    }

    qint32 getSize() const
    {
    return size;
    }

    bool getIsChangeable() const
    {
    return isChangeable;
    }

    void setIsChangeable(bool value)
    {
        isChangeable = value;
    }

    QString getAuthor() const
    {
    return author;
    }

    void setAuthor(const QString &value)
    {
    author = value;
    }

    void setViewName(const QString &value)
    {
    viewName = value;
    }

    void setCreateData(const QDateTime &value)
    {
    createData = value;
    }

    void setAbsolutePath(const QString &value)
    {
    absolutePath = value;
    }

private:
    QString absolutePath;
    QString viewName;
    QString author;
    QDateTime createData;
    bool isChangeable;
    qint32 size;
};

#endif // STREAMINGVERSIONDATA_H







